// 首页登录环信获取信息
mui.plusReady(function () {
    window.addEventListener('refresh', function (e) {//执行刷新
        initIndexedDb(currentUser, function (db) {
            // readAll(currentUser);
            mydb = db;
            getdialogue(db, currentUser);
        });
        loginIm(currentUser);
    });
    // 是否有新消息dom
    var isNew = document.querySelector('#photoNum');
    var userInfo = plus.storage.getItem("userInfo");
    // var currentUser = JSON.parse(userInfo).userPhone + 'user';
    var currentUser = JSON.parse(userInfo).user.userPhone + 'doctor';
    console.log(currentUser)
    var listData = [];
    var mydb = {};
    // 当前病历
    var illnessId = [];
    // 头像数组
    var imgList = [];
    // 登录
    loginIm(currentUser);

    // 初始化数据库
    initIndexedDb(currentUser, function (db) {
        // readAll(currentUser);
        mydb = db;
        getdialogue(db, currentUser);
    });
    addMsg(currentUser, function (res) {
        getdialogue(mydb, currentUser);
    });

    // 修改第一条数据
    function addCaseData(db, key, docId, userId) {
        var opt = {
            docPhone: docId,
            userPhone: userId
        };
        myHttp('/inqorder/getOrderIdNumber', opt, 'GET', function (result) {
            if (result) {
                //成功
                update(db, currentUser, key, result);
                if (docId === 'admin') {
                    illnessId.push('admin');
                } else {
                    illnessId.push(result.obj.id);
                };
            }
        });
    };

    // 获取历史数据
    function getdialogue(db, currentUser) {
        var store = db.transaction(currentUser).objectStore(currentUser);
        // var request = store.openCursor();//db为IDBDatabase对象
        // var index = store.index('otherSide');
        var request = store.openCursor();
        var flegList = [];
        var readNumList = [];
        var phones = [];

        request.onsuccess = function (e) {
            var result = e.target.result;
            if (result) {
                // 判断fleg里面是否有相同则替换否则push
                var myIndex = flegList.indexOf(result.value.otherSide);
                if (myIndex > -1) {
                    // 根据flex给出的index确定消息位置
                    listData[myIndex] = result.value;
                    result.value.isRead ? '' : readNumList[myIndex]++;
                } else {
                    listData.push(result.value);
                    flegList.push(result.value.otherSide);
                    result.value.otherSide.indexOf('user') > 0 ? phones.push(result.value.otherSide.split('user')[0]) : phones.push(result.value.otherSide);
                    imgList.push(result.value.patientName);
                    // 设定默认值为0
                    readNumList.push(0);
                    // 得到一个新的对话时进入 判断是否数据库
                    var userPhone = JSON.parse(userInfo).user.userPhone;
                    addCaseData(db, result.primaryKey, userPhone, result.value.otherSide.split('user')[0]);
                }
                result.continue();
            } else {
                var allCount = 0;
                listData.forEach(function (item, index) {
                    listData[index].patientName = imgList[index];
                    item.chatType == 'image' ? item.content = '图片消息' : '';
                    item.chatType == 'sound' ? item.content = '语音消息' : '';
                    item.readNum = readNumList[index];
                });
                readNumList.forEach(function (item) {
                    allCount += item;
                });
                // 判断是否有未读消息
                if (allCount > 0) {
                    isNew.style.opacity = '1';
                    isNew.innerHTML = allCount
                } else {
                    isNew.style.opacity = '0';
                }
            }
        }
    };
});
// 登录连接im
function loginIm(currentUser) {
    var options = {
        apiUrl: WebIM.config.apiURL,
        user: currentUser,
        pwd: '123456',
        appKey: WebIM.config.appkey,
        success: function (token) {
            var token = token.access_token;
            WebIM.utils.setCookie('webim_' + currentUser, token, 1);
        },
        error: function () {
        }
    };
    conn.open(options);
};