 var myDB={
        name:'messageSql',
        version:1,
        db:null,
        ojstore:{
            name:'13986204026user',//存储空间表的名字
            keypath:'id'//主键
        }
    };
				var record = [{
					sender: '鲁',
					type: 'text',
					content: '你好 我们可以开始对话了！'
				}];
				var indexData = [
//					serverId: message.id,
//                    otherSide: currentDoctor, // 当前对话医生id
//                    createdDate: myDate.toLocaleString(), // 创建消息的时间
//                    userType: 1, // 0是发送在右边, 1是接收在左边
//                    content: message.data, // 消息内容
//                    chatType: 0 // 消息发送的类型0是文字 , 1是图片, 2是语音
				]
//准备用于显示结果的字符串
			var messages = [];

    var INDEXDB = {
        indexedDB:window.indexedDB||window.webkitindexedDB,
        IDBKeyRange:window.IDBKeyRange || window.webkitIDBKeyRange,//键范围
        openDB:function(dbname,dbversion,callback){
            //建立或打开数据库，建立对象存储空间(ObjectStore)
            var self = this;
            var version = dbversion || 1;
            var request = self.indexedDB.open(dbname,version);
            request.onerror = function(e){
                console.log(e.currentTarget.error.message);
            };
            request.onsuccess = function(e){
                myDB.db = e.target.result;
                console.log('成功建立并打开数据库:'+myDB.name+' version'+dbversion);
            };
            request.onupgradeneeded=function(e){
                var db=e.target.result,transaction= e.target.transaction,store;
                if(!db.objectStoreNames.contains(myDB.ojstore.name)){
                    //没有该对象空间时创建该对象空间
                    store = db.createObjectStore(myDB.ojstore.name,{keyPath:myDB.ojstore.keypath});
                    console.log('成功建立对象存储空间：'+myDB.ojstore.name);
                }
            }


        },
        deletedb:function(dbname){
            //删除数据库
            var self = this;
            self.indexedDB.deleteDatabase(dbname);
            console.log(dbname+'数据库已删除')
        },
        closeDB:function(db){
            //关闭数据库
            db.close();
            console.log('数据库已关闭')
        },
        addData:function(db,storename,data){
            //添加数据，重复添加会报错
            var store = store = db.transaction(storename,'readwrite').objectStore(storename),request;
            for(var i = 0 ; i < data.length;i++){
                request = store.add(data[i]);
                request.onerror = function(){
                    console.error('add添加数据库中已有该数据')
                };
                request.onsuccess = function(){
                    console.log('add添加数据已存入数据库')
                };
            }
            
        },
        putData:function(db,storename,data){
            //添加数据，重复添加会更新原有数据
            var store = store = db.transaction(storename,'readwrite').objectStore(storename),request;
            for(var i = 0 ; i < data.length;i++){
                request = store.put(data[i]);
                console.log(data[i]);
                request.onerror = function(){
                    console.error('put添加数据库中已有该数据')
                };
                request.onsuccess = function(){
                    console.log('put添加数据已存入数据库')
                };
            }
        },
        getDataByKey:function(db,storename,key){
            //根据存储空间的键找到对应数据
            var store = db.transaction(storename,'readwrite').objectStore(storename);
            var request = store.get(key);
            request.onerror = function(){
                console.error('getDataByKey error');
            };
            request.onsuccess = function(e){
                var result = e.target.result;
                console.log('查找数据成功')
                console.log(result);
            };
        },
        getDataAll:function(db,storename){
            //查询数据表所有数据
            var store = db.transaction(storename,'readwrite').objectStore(storename);
            var request = store.openCursor();
            request.onerror = function(){
                console.error('getDataAll error');
            };
            
            request.onsuccess = function(e){
                //创建一个游标
		    var cursor = e.target.result;
//		 	console.log(cursor)
		    //根据游标判断是否有数据
		    if (cursor) {
		        var message = cursor.value;
		        console.log(JSON.stringify(message));
		        messages.push(message);		       
						var sender = '';
						if(message.userType == 0){
							sender = 'self';
						}else{
							sender = 'other';
						}
//						console.log(message.data)
						record.push({
								sender: sender,
								type: 'text',
								content: message.content
						});
//						console.log(JSON.stringify(record));	
//		        console.log(JSON.stringify(messages))
//		        message +=  linkRecord.name + "  " + linkRecord.url + "\n";
		 
		        //调用cursor.continue()方法访问下一条数据
		        //当游标到达下一条数据时，onsuccess事件会再一次触发
		        cursor.continue();
		    }
		    else {
		        //如果一个结果也没有，说明游标到底了，输出信息
		        return record;
    		}
            };
        },
        deleteData:function(db,storename,key){
            //删除某一条记录
            var store = store = db.transaction(storename,'readwrite').objectStore(storename);
            store.delete(key)
            console.log('已删除存储空间'+storename+'中'+key+'记录');
        },
        clearData:function(db,storename){
            //删除存储空间全部记录
            var store = db.transaction(storename,'readwrite').objectStore(storename);
            store.clear();
            console.log('已删除存储空间'+storename+'全部记录');
        }
    }
    var students=[{ 
        id:1001, 
        name:"Byron", 
        age:24 
    },{ 
        id:1002, 
        name:"Frank", 
        age:30 
    },{ 
        id:1003, 
        name:"Aaron", 
        age:26 
    }];

//  INDEXDB.openDB(myDB.name,myDB.version);
    setTimeout(function(){
//      console.log('****************添加数据****************************');
//      INDEXDB.addData(myDB.db,myDB.ojstore.name,students);
        // console.log('******************add重复添加**************************');
//         INDEXDB.addData(myDB.db,myDB.ojstore.name,students);
        // console.log('*******************put重复添加*************************');
        // INDEXDB.putData(myDB.db,myDB.ojstore.name,students);
        // console.log('*******************获取数据1001*************************');
        // INDEXDB.getDataByKey(myDB.db,myDB.ojstore.name,1001);
        // console.log('******************删除数据1001************');
        // INDEXDB.deleteData(myDB.db,myDB.ojstore.name,1001);
        // console.log('******************删除全部数据************');
        // INDEXDB.clearData(myDB.db,myDB.ojstore.name);
        // console.log('******************关闭数据库************');
        // INDEXDB.closeDB(myDB.db);
        // console.log('******************删除数据库************');
        // INDEXDB.deletedb(myDB.name);
    },800)