// 公用工具
var tool = {};
var doc = document;
// 页面跳转无等待框
tool.openWindow = function (id, url) {
    doc.getElementById(id).addEventListener('tap', function () {
        mui.openWindow({
            id: id,
            url: url,
            waiting: {
                autoShow: false
            }
        });
    });
};

// 点击清除全部页面
tool.clearWebview = function () {
    var all = plus.webview.all();
    var current = plus.webview.currentWebview().id;
    for (var i = 0, len = all.length; i < len; i++) {
        if (all[i].id !== current) {
            all[i].close();
        }
    }
};

/* // 判断是否登录 没有直接返回
tool.isLogin = function (callback, beforePage) {
    if (!plus.storage.getItem('user')) {
        mui.openWindow({
            url: "page/login/login.html",
            id: "page-login-login.html",
            extras: {
                callbackUrl: beforePage,
            }
        });
        return;
    } else {
        callback();
    }
} */

// 支付
tool.pay = function (url, test, callBack) {
    // 获取支付通道
    var pays = {};
    var id = test;
    id == 'alipay' ? id = 'alipay' : id = 'wxpay';
    console.log('111' + id);
    plus.payment.getChannels(function (channels) {
        for (var i in channels) {
            var channel = channels[i];
            if (channel.id == 'qhpay' || channel.id == 'qihoo') {	// 过滤掉不支持的支付通道：暂不支持360相关支付
                continue;
            }
            pays[channel.id] = channel;
            console.log(pays[channel.id] + 'channelid');
            // checkServices(channel);
        }
    }, function (e) {
        //					outLine('获取支付通道失败：'+e.message);
    });
    w = plus.nativeUI.showWaiting();
    var xhr = new XMLHttpRequest();
    xhr.onreadystatechange = function () {
        switch (xhr.readyState) {
            case 4:
                w.close(); w = null;
                if (xhr.status == 200) {
                    console.log(xhr.responseText)
                    //				outLine('----- 请求订单成功 -----');
                    var order = xhr.responseText;
                    console.log('222' + JSON.stringify(pays[id]))
                    plus.payment.request(pays[id], order, function (result) {
                        console.log(JSON.stringify(result));
                        mui.alert('支付成功', '恭喜', function () {
                            callBack();
                        })
                    }, function (e) {
                        //					outLine('----- 支付失败 -----');
                    });
                } else {
                    plus.nativeUI.alert('获取订单信息失败！', null, '捐赠');
                }
                break;
            default:
                break;
        }
    }
    xhr.open('GET', url);
    xhr.send();
}

// 判断手机安装的地图软件com.baidu.BaiduMap
tool.chooseMapApp = function (pageName, callBack) {
    switch (plus.os.name) {
        case "Android":
            try {
                var packageName = pageName;//百度地图的包名
                var main = plus.android.runtimeMainActivity();
                var packageManager = main.getPackageManager();
                var PackageManager = plus.android.importClass(packageManager);
                var packageInfo = packageManager.getPackageInfo(packageName, PackageManager.GET_ACTIVITIES);
                if (packageInfo) {
                    callBack(true);
                    //已安装
                } else {
                    callBack(false);
                    //未安装
                }
            } catch (e) {
                callBack(false);
                //未安装
            }
            break;
        case "iOS":
            if (pageName == 'com.baidu.BaiduMap') {
                pageName = 'baidumap://';
            } else if (pageName == 'com.autonavi.minimap') {
                pageName = 'iosamap://';
            } else if (pageName == 'com.tencent.map') {
                pageName = 'qqmap://map/';
            }
            var UIApplication = plus.ios.importClass("UIApplication");
            var NSURL = plus.ios.importClass("NSURL");
            var app = UIApplication.sharedApplication();
            var bdScheme = NSURL.URLWithString(pageName);
            var install = app.canOpenURL(bdScheme);
            if (install) {
                callBack(true);
                console.log('ios安装了' + pageName)
                //ios已安装
            } else {
                callBack(false);
                //未安装
                console.log('ios未安装了' + pageName + bdScheme)
            }
            plus.ios.deleteObject(bdScheme);
            plus.ios.deleteObject(app);
            break;
        default:
            break;
    }
}
// 调用百度地图1 高德2 腾讯3
tool.baiduMap = function (index, address, point) {
    var url = '';
    console.log('开始打开地图');
    switch (index) {
        case 1:
            plus.os.name == 'Android' ? url = "baidumap://map/geocoder?" + "src=andr.baidu.openAPIdemo" + "&address=" + address : url = "baidumap://map/geocoder?address=" + address + '&src=ios.baidu.openAPIdemo';
            url = encodeURI(url);
            plus.runtime.openURL(url, function (e) { });
            break;
        case 2:
            url = 'http://uri.amap.com/marker?position=' + point.lng + ',' + point.lat + '&name=' + address + '&src=mypage&coordinate=gaode&callnative=1'
            url = encodeURI(url);
            var ifr = document.createElement("iframe");
            ifr.setAttribute('src', url);
            ifr.setAttribute('style', 'display:none');
            document.body.appendChild(ifr);
            break;
        case 3:
        // url = 'qqmap://map/search?keyword=' + address + '&center=' + point.lng + ',' + point.lat + '&radius=10000&referer=OB4BZ-D4W3U-B7VVO-4PJWW-6TKDJ-WPB77';
        url = 'qqmap://map/geocoder?coord=' + point.lat + ',' + point.lng + '&referer=OB4BZ-D4W3U-B7VVO-4PJWW-6TKDJ-WPB77';
        url = encodeURI(url);
        console.log(url)
        plus.runtime.openURL(url, function (e) {
            console.log(e)
        });
            break;
        default:
            break;
    }
    // 异常关闭加载框
    plus.nativeUI.closeWaiting();
    return encodeURI(url);
};